import {Route, SessionAuthMiddleware} from '@extollo/lib'
import {Home} from '../controllers/Home.controller'

Route.group('/', () => {
    Route.get('/')
        .calls<Home>(Home, home => home.welcome)

    Route.get('/feed')
        .calls<Home>(Home, home => home.feed)
        .alias('feed')
}).pre(SessionAuthMiddleware)

// Route.group('', () => {
//     Route.get('/dash')
//         .pre(AuthRequiredMiddleware)
//         .calls<Home>(Home, home => home.welcome)
// }).pre(SessionAuthMiddleware)
